      subroutine mult_a
      use mod_dolo
      use mod_script
      common/sym/ nsym,isym(maxsym),isymt(0:maxsym)
      !return
      allocate (fmult_a(natom))
      allocate (fmult_o(norb))
      !print*,'natom',natom,natom1
      !print*,'nsym',nsym
      !print*,'sym1',sym1
      !print*,'coor',coor
      !call mscript(coor)
      call multipat(nsym,sym1,natom,coor,fmult_a)
      !print*,'fmult_a',fmult_a
      return
      end
       subroutine mult_o
      use mod_dolo
      use mod_script
      dimension iat(2)
!
!--------------------------------------------------------------
! Multiplicite des liaisons
!
! 1. Cas des "vraies" liaisons, cad celles ou 2 atomes sont impliques
! la multiplicite de la liaison est le max de celles des atomes
! sauf si les atomes se correspondent par symetrie (ex H2 en symetrie :
!  chaque atome est double, mais 1 seule liaison)
!
! 2. LP : la multiplicite de la liaison est celle de l'atome
!
! Toutes les liaisons sont traitees (donc boucle de 1 a fnorb)
! En sortie, la multiplicite de la liaison : fmult_o
!--------------------------------------------------------------
!
      do k=1,fnorb
         !print*,'atoms_in_lo',k,flab(k),atoms_in_lo(k,1:fnat(k))
         if(index(flab(k),'.LP')/=0.or.
     *   index(flab(k),'.VI')/=0.or.
     *   index(flab(k),'_COR')/=0) then
            if(fnat(k)>1) stop' dans mult_o fnat>1'
            call cherchat(atoms_in_lo(k,1),iat(1),natom,atom)
            !print*,'LP iat',k,'   ',atoms_in_lo(k,1),iat(1)
            fmult_o(k)=fmult_a(iat(1))
         else
            fmult_o(k)=0
            if(fnat(k)==1) then
               fmult_o(k)=1
               !print*,'B1 iat',k,'   ',atoms_in_lo(k,1),1,iat(1)
            elseif(fnat(k)==2) then
               do i=1,fnat(k)
                  call cherchat(atoms_in_lo(k,i),iat(i),natom,atom)
                  !print*,'B2 iat',k,'   ',atoms_in_lo(k,i),i,iat(i)
               enddo
               fmult_o(k)=max(fmult_a(iat(1)),fmult_a(iat(2)))
            endif
         endif
         !print*,k,'   ',flab(k),fmult_o(k)
      enddo
      return
      end
       subroutine cherchat(atoml,iat,natom,atom)
!
! donne iat, numero de l'atome, pour le nom atom (atom en entree)
!
      character(4) atom(natom),atoml
      do k=1,natom
         !print*,'ch iat',i,atom(k),atoml
         if(atom(k)==atoml) then
            iat=k
            exit
         endif
      enddo
      return
      end
 
 
